Opened 5 years ago

Closed 5 years ago

#1923 closed defect (fixed)

vble: problem with version check

Reported by: ami_stuff Owned by:
Priority: normal Component: avcodec
Version: git-master Keywords: vble
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

for certain resolutions vble codec writes something else than $01 as an version to the output file
(or at least $01 value is at the different place)

the binary codec seems to not care about version at all while decoding the file, so maybe a fix would be to remove version check from the ffmpeg's code

C:\>ffmpeg -i vble_fail.avi out.avi
ffmpeg version N-46755-ge70144c Copyright (c) 2000-2012 the FFmpeg developers
  built on Nov 15 2012 02:38:20 with gcc 4.5.0 (GCC) 20100414 (Fedora MinGW 4.5.
0-1.fc14)
  configuration: --prefix=/var/www/users/research/ffmpeg/snapshots/build --arch=
x86 --target-os=mingw32 --cross-prefix=i686-pc-mingw32- --cc='ccache i686-pc-min
gw32-gcc' --enable-w32threads --enable-memalign-hack --enable-runtime-cpudetect
--enable-cross-compile --enable-static --disable-shared --extra-libs='-lws2_32 -
lwinmm -lpthread' --extra-cflags='--static -I/var/www/users/research/ffmpeg/snap
shots/build/include' --extra-ldflags='-static -L/var/www/users/research/ffmpeg/s
napshots/build/lib' --enable-bzlib --enable-zlib --enable-gpl --enable-version3
--enable-nonfree --enable-libx264 --enable-libspeex --enable-libtheora --enable-
libvorbis --enable-libfaac --enable-libxvid --enable-libopencore-amrnb --enable-
libopencore-amrwb --enable-libmp3lame --enable-libvpx --disable-decoder=libvpx
  libavutil      52.  6.100 / 52.  6.100
  libavcodec     54. 71.100 / 54. 71.100
  libavformat    54. 36.100 / 54. 36.100
  libavdevice    54.  3.100 / 54.  3.100
  libavfilter     3. 23.100 /  3. 23.100
  libswscale      2.  1.102 /  2.  1.102
  libswresample   0. 16.100 /  0. 16.100
  libpostproc    52.  1.100 / 52.  1.100
Input #0, avi, from 'vble_fail.avi':
  Duration: 00:00:00.10, start: 0.000000, bitrate: 12493 kb/s
    Stream #0:0: Video: vble (VBLE / 0x454C4256), yuv420p, 640x270, 10 tbr, 10 t
bn, 10 tbc
Output #0, avi, to 'out.avi':
  Metadata:
    ISFT            : Lavf54.36.100
    Stream #0:0: Video: mpeg4 (FMP4 / 0x34504D46), yuv420p, 640x270, q=2-31, 200
 kb/s, 10 tbn, 10 tbc
Stream mapping:
  Stream #0:0 -> #0:0 (vble -> mpeg4)
Press [q] to stop, [?] for help
[vble @ 0x1edcb00] Unsupported VBLE Version: 12779841
Error while decoding stream #0:0: Invalid data found when processing input
frame=    0 fps=0.0 q=0.0 Lsize=       6kB time=00:00:00.00 bitrate=   0.0kbits/
s
video:0kB audio:0kB subtitle:0 global headers:0kB muxing overhead inf%
Output file is empty, nothing was encoded (check -ss / -t / -frames parameters i
f used)

Attachments (4)

vble_fail.avi (152.5 KB) - added by ami_stuff 5 years ago.
vble_ok.avi (153.6 KB) - added by ami_stuff 5 years ago.
vble_ver.jpg (90.6 KB) - added by ami_stuff 5 years ago.
vble.diff (908 bytes) - added by ami_stuff 5 years ago.

Download all attachments as: .zip

Change History (6)

Changed 5 years ago by ami_stuff

Changed 5 years ago by ami_stuff

Changed 5 years ago by ami_stuff

Changed 5 years ago by ami_stuff

comment:1 Changed 5 years ago by cehoyos

  • Component changed from undetermined to avcodec
  • Keywords vble added
  • Reproduced by developer set
  • Status changed from new to open
  • Version changed from unspecified to git-master

Consider leaving a warning (or only removing the return), but please send patches to ffmpeg-devel.

comment:2 Changed 5 years ago by cehoyos

  • Resolution set to fixed
  • Status changed from open to closed

Patch applied, thank you!

Note: See TracTickets for help on using tickets.